# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name ForSyDe

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

Name:           ghc-%{pkg_name}
Version:        3.1.1
Release:        6%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches_with_ghci}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-parameterized-data-prof
BuildRequires:  ghc-random-prof
BuildRequires:  ghc-regex-posix-prof
BuildRequires:  ghc-type-level-prof
BuildRequires:  ghc-mtl-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install
echo "%dir %{_datadir}/%{pkg_name}-%{version}" >> %{name}%{?ghc_without_shared:-devel}.files
echo "%dir %{_datadir}/%{pkg_name}-%{version}/lib" >> %{name}%{?ghc_without_shared:-devel}.files
echo "%{_datadir}/%{pkg_name}-%{version}/lib/forsyde.vhd" >> %{name}%{?ghc_without_shared:-devel}.files

%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files


%changelog
* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 3.1.1-6
- update to cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 3.1.1-5.3
- rebuild with new gmp without compat lib

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 3.1.1-5.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 3.1.1-5.1
- rebuild with new gmp

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 3.1.1-5
- BR ghc-Cabal-devel and use ghc_arches (cabal2spec-0.23.2)

* Mon Mar 14 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-4
- Enable build on sparcv9.

* Sat Mar 05 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-3
- Added forsyde.vhd to base-package.

* Sat Feb 27 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-2
- Added ghc-mtl dependency to BuildRequires.

* Mon Feb 21 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-1
- Added BSD3 license.
- Added extra data files for devel.files.
- Initial packaging for Fedora automatically generated by cabal2spec-0.22.4.
